# EnchantmentName (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class EnchantmentName

- java.lang.Object
- - de.epiceric.shopchest.language.EnchantmentName

    public class EnchantmentName
    extends Object

### Nested Class Summary

Nested Classes
`static class` `EnchantmentName.EnchantmentLevelName`

### Constructor Summary

Constructors
Constructor and Description
`EnchantmentName(org.bukkit.enchantments.Enchantment enchantment, String localizedName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.enchantments.Enchantment` `getEnchantment()`
`String` `getLocalizedName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnchantmentName

    public EnchantmentName(org.bukkit.enchantments.Enchantment enchantment,
                           String localizedName)

### Method Detail

#### getEnchantment

    public org.bukkit.enchantments.Enchantment getEnchantment()

Returns:
  Enchantment linked to the name

#### getLocalizedName

    public String getLocalizedName()

Returns:
  Name linked to the enchantment